Core - Task # 53988

Status: Resolved Priority: Should have
Author: Ernesto Baschny Category: Install Tool
Created: 2013-11-26 Assigned To:

Updated: 2014-02-02 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: First Time Installation doesn't need a "beforePackageStatesMigration.php” file
Description

For a dummy blank new installation the Installer creates a LocalConfiguration.php in "old-school" way (with extList) and then converts

that to PackageStates and moves the old file to LocalConfiguration.beforePackageStatesMigration.php.

This is ugly, as you find yourself with "old files" while you are just installing it for the first time.

Could be streamlined, so that the first time installation activates the packages automatically.

Related issues:
related to Core - Bug # 55555: Cleanup EXT/requiredExt handling
related to Core - Bug # 57458: Failed to write LocalConfiguration.php backup

Resolved
Resolved

2014-02-01
2014-03-31

Associated revisions

Revision e755bcd9 - 2014-02-02 17:33 - Christian Kuhn

[TASK] Default active extension handling in package manager

Integrate the definition of packages that should be activated at
first installation and packages that are required for a minimal
usable system in the package manager.

There are now three possible properties in Classes/Package.php:

- protected - Package can not be uninstalled in em.

- partOfFactoryDefault - Package is activated at first installation.

- partOfMinimalUsableSystem - Package is activated if
PackageStates.php is missing. extensionmanager and t3skin are
affected here, if PackageStates.php is deleted, the install tool
will create a new one with those packages activated, so the backend

is "usable" enough to activate further packages.

Resolves: #53988

Releases: 6.2
History

#1 - 2014-02-01 12:07 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27226

#2 - 2014-02-01 20:45 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27226

#3 - 2014-02-02 16:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27226

#4 - 2014-02-02 16:51 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27226

#5 - 2014-02-02 17:19 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27226

#6 - 2014-02-02 18:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e755bcd934dc97c818526c20482fa870505645db.
